LIBNAME lib 'c:\utenti\lab';

/*Introduzione alla funzione 'Proc Freq'*/
/*acquisizione dei dati*/
/*controllare sempre il percorso del file da acquisire*/

DATA lib.pane;
INFILE 'i:\lab2003\pane.txt' TRUNCOVER; /*Noi diciamo a SAS di non 
										preoccuparsi della mancanza di colonne!!*/
INPUT tipo$ 1-11 problema$ 36-44;
RUN;

/*proc step*/

PROC FREQ DATA=lib.pane;
TABLES tipo problema tipo*problema /CHISQ;
RUN;


/*Casi in cui la funzione freq non  auspicabile sono:
	1)Multiscopo con codice individuale
	2)Dati con molti numeri decimali
*/

/*COMANDI DI MODELLO STATISTICO*/

DATA lib.alcol;
INFILE 'i:\lab2003\alcol.txt' firstobs=2;
INPUT Region$ :15. Alcohol Tabacco;
RUN;

PROC UNIVARIATE; /*Senza 'DATA=' considera l'ultimo dataset creato*/
VAR Alcohol;/*Permette di selezionare le variabili di interesse,senza 
				selezionare nulla considera tute le variabili di tipo 
				quantitativo!*/
Id region;
RUN;

PROC CORR;	/*Esegue la corelazione */
VAR alcohol tabacco;
RUN;

proc gplot data=lib.alcol;/*grafico di dispersione*/
plot alcohol*tabacco;
run;
/*Togliere dati anomali*/

DATA alcolsenza;
set lib.alcol;
if _n_=11 then delete;
RUN;
PROC CORR;
var alcohol tabacco;
RUN;


/*Regressione*/


PROC REG data=alcolsenza;
model alcohol=tabacco;/*il modello : var.dip=elenco delle var. indip*/
output out=result predicted=pred residual=res;/*con out indico il dataset di destinazione*/
RUN;quit;/*la funzione REG  iterattiva quindi la chiudiamo*/

PROC GPLOT DATA=result;
AXIS1   VALUE = (F=SWISS H=0.7)
        LABEL = (F=SWISS H=1 'Prodotti del tabacco')
        ORDER = 3 TO 5 BY 1;
AXIS2   VALUE = (F=SWISS H=0.7)
        LABEL = (F=SWISS H=1 'Bevande alcoliche');
PLOT alcohol*tobacco=1 pred*tobacco='square' /      FRAME
                                               OVERLAY 
                                               HAXIS=AXIS1
                                                VAXIS=AXIS2;
RUN;QUIT;
PROC GPLOT DATA=result;
AXIS1   VALUE = (F=SWISS H=0.7)
        LABEL = (F=SWISS H=1 'Valori previsti')
        ORDER = 4 TO 7 BY 1;
AXIS2   VALUE = (F=SWISS H=0.7)
        LABEL = (F=SWISS H=1 'Residui');
PLOT res*pred /      FRAME
                        HAXIS=AXIS1
                        VAXIS=AXIS2;
RUN;QUIT;
