LIBNAME lib 'M:\corsi\sas_silvia\libs';

DATA lib.alcol;
	INFILE 'M:\corsi\sas_silvia\datasets\alcol.txt' firstobs=2;
	INPUT Region$ :15. Alcohol Tobacco;
RUN;

/* prende le var e ne calcola varie proprieta' */
PROC UNIVARIATE;
	VAR Alcohol;
	ID region;		/* evidenzia la variabile region */
RUN;

PROC CORR;
	VAR alcohol tobacco;
RUN;

PROC GPLOT DATA=lib.alcol;
	PLOT alcohol*tobacco;
RUN;

PROC CORR;
	VAR alcohol tobacco;
RUN;

DATA alcolsenza;
	SET lib.alcol;
	IF _n_=11 THEN DELETE;	/* _n_ indicail numero dell'osservazione corrente */
RUN;

PROC REG DATA=alcolsenza;	/* regressione lineare */
	MODEL alcohol=tobacco;	/* modello y=x */
	OUTPUT OUT=result	/* dataset di output */
		PREDICTED=pred	/* pred: contiene i valori predetti */
		RESIDUAL=res;	/* res: contiene i residui*/
RUN; QUIT; /* chiusura forzata della REG */

PROC GPLOT DATA=result;
	AXIS1   VALUE = (F=SWISS H=0.7)
			LABEL = (F=SWISS H=1 'Prodotti del tabacco')
			ORDER = 3 TO 5 BY 1;
	AXIS2   VALUE = (F=SWISS H=0.7)
			LABEL = (F=SWISS H=1 'Bevande alcoliche');
	PLOT alcohol*tobacco=1 pred*tobacco='square' / FRAME	/* lo slash introduce opzioni */
												   OVERLAY 
												   HAXIS=AXIS1
												   VAXIS=AXIS2;
RUN; QUIT;

PROC GPLOT DATA=result;
	AXIS1   VALUE = (F=SWISS H=0.7)
			LABEL = (F=SWISS H=1 'Valori previsti')
			ORDER = 4 TO 7 BY 1;
	AXIS2   VALUE = (F=SWISS H=0.7)
			LABEL = (F=SWISS H=1 'Residui');
	PLOT res*pred / FRAME
					HAXIS=AXIS1
					VAXIS=AXIS2;
RUN;
QUIT;
